Skip to main content
DELETE
/
perks
/
consumers
/
{consumer_id}
/
accounts
/
payment
Revoke the consumer's currently designated payment account.
curl --request DELETE \
  --url https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/accounts/payment \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/accounts/payment"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/accounts/payment', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "code": "PL-400-05",
  "status": 400,
  "title": "Payment Account Recipient Rejected"
}
{
  "code": "PL-401-00",
  "status": 401,
  "title": "Unauthorized"
}
{
  "code": "PL-404-02",
  "status": 404,
  "title": "Consumer Not Enrolled"
}
{
  "code": "PL-502-03",
  "status": 502,
  "title": "PSP Service Unavailable"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string
default:2.0.0
Authorization
string | null

Path Parameters

consumer_id
string
required
Required string length: 2 - 100
Pattern: ^[a-zA-Z0-9_.-]*$

Response

Successful Response